import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.chain.project.getList,

    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.chain.project.doEdit,

    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.chain.project.doDelete,

    method: 'post',
    data,
  })
}

export function updateState(data) {
  return request({
    url: URL.shop.chain.project.updateState,

    method: 'post',
    data,
  })
}
